package cn.com.poc.thirdparty.resource.demand.pay.entity;


import cn.com.poc.thirdparty.resource.demand.pay.model.BizOrderModel;

import java.util.Date;
import java.util.List;

/**
 * @author Roger Wu
 */
public class OrderEntity extends BizOrderModel {

    /**
     * 关联主键
     */
    private String relationId;

    /**
     * 关联类型
     */
    private String relationType;

    /**
     * 创建时间开始时间
     */
    private Date queryBeginTime;

    /**
     * 创建时间结束时间
     */
    private Date queryEndTime;

    /**
     *
     */
    private String merchantName;

    /**
     *
     */
    private String nickName;

    /**
     *
     */
    private String mobilePhone;

    List<OrderDetailEntity> orderDetailEntityList;


    public String getRelationId() {
        return relationId;
    }

    public void setRelationId(String relationId) {
        this.relationId = relationId;
    }

    public String getRelationType() {
        return relationType;
    }

    public void setRelationType(String relationType) {
        this.relationType = relationType;
    }

    public Date getQueryBeginTime() {
        return queryBeginTime;
    }

    public void setQueryBeginTime(Date queryBeginTime) {
        this.queryBeginTime = queryBeginTime;
    }

    public Date getQueryEndTime() {
        return queryEndTime;
    }

    public void setQueryEndTime(Date queryEndTime) {
        this.queryEndTime = queryEndTime;
    }

    public String getMerchantName() {
        return merchantName;
    }

    public void setMerchantName(String merchantName) {
        this.merchantName = merchantName;
    }

    public String getNickName() {
        return nickName;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    public List<OrderDetailEntity> getOrderDetailEntityList() {
        return orderDetailEntityList;
    }

    public void setOrderDetailEntityList(List<OrderDetailEntity> orderDetailEntityList) {
        this.orderDetailEntityList = orderDetailEntityList;
    }
}
